# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtHobbies

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.AbstractFreeTextExtension
              com.google.gdata.data.youtube.YtHobbies

All Implemented Interfaces:
  Extension

    public class YtHobbies

extends AbstractFreeTextExtension

yt:hobbies tag, found on the user detail page

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtHobbies()` Creates an empty tag.
`YtHobbies(java.lang.String hobbies)` Creates a tag and initializes its content.

Method Summary

Methods inherited from class com.google.gdata.data.youtube.AbstractFreeTextExtension
`consumeAttributes, getContent, putAttributes, setContent`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtHobbies

    public YtHobbies()

  Creates an empty tag.

### YtHobbies

    public YtHobbies(java.lang.String hobbies)

  Creates a tag and initializes its content.

  Parameters:
    `hobbies` - content